Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.gui
Class GUIProp

    java.lang.Object
      org.basex.gui.GUIProp

    public final class GUIProp

extends java.lang.Object

This class contains properties which are used in the GUI. They are initially read from and finally written to disk.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen

Field Summary
`static java.lang.String[]` | `basexcmd` Last entered XPath queries.
`static int` | `colorblue` Blue GUI color factor.
`static int` | `colorgreen` Green GUI color factor.
`static int` | `colorred` Red GUI color factor.
`static int[]` | `colorsloc` Dialog location.
`static java.lang.String[]` | `commands` Last entered BaseX commands.
`static java.lang.String` | `createpath` Path for creating new XML Documents.
`static boolean` | `filterrt` Flag for realtime context switch.
`static java.lang.String` | `font` Default GUI Font.
`static boolean` | `fontalias` Flag for anti-aliasing results in GUI mode.
`static int` | `fontsize` Monospace font size.
`static int[]` | `fontsloc` Dialog location.
`static int` | `fonttype` Monospace font type = plain, bold, italics).
`static boolean` | `fsall` Flag for importing complete file system hierarchy.
`static java.lang.String` | `fspath` Path for importing the file system.
`static int[]` | `guiloc` GUI position.
`static java.lang.String[]` | `guisearch` Last entered GUISearch commands.
`static int[]` | `guisize` GUI height.
`static java.lang.String` | `importfsname` Name of the filesystem database.
`static java.lang.String` | `layoutclosed` GUI Layout.
`static java.lang.String` | `layoutopened` GUI Layout.
`static int` | `maplayout` Treemap Layout.
`static int[]` | `maplayoutloc` Dialog location.
`static int` | `mapprop` Treemap Proportion.
`static boolean` | `mapsimple` Flag for using a simple map layout.
`static boolean` | `maxstate` Flag for maximized GUI window.
`static java.lang.String` | `monofont` Default GUI Monospace Font.
`static boolean` | `mousefocus` Focus follows mouse.
`static int[]` | `searchloc` Search GUI position.
`static boolean` | `searchmode` Flag for search/command input mode.
`static int` | `searchwidth` Search GUI width.
`static boolean` | `showbuttons` Flag for displaying buttons in the GUI window.
`static boolean` | `showhelp` Flag for activated help view.
`static boolean` | `showinfo` Flag for activated info view.
`static boolean` | `showinput` Flag for displaying the text field in the GUI window.
`static boolean` | `showmap` Flag for activated map view.
`static boolean` | `showmenu` Flag for displaying the menu in the GUI window.
`static boolean` | `shownames` Flag for dissolving name attributes.
`static boolean` | `showquery` Flag for activated search view.
`static boolean` | `showstarthelp` Flag for activated help view after starting.
`static boolean` | `showstarttext` Flag for activated result view after starting.
`static boolean` | `showstatus` Flag for displaying the status bar in the GUI window.
`static boolean` | `showtable` Flag for activated table view.
`static boolean` | `showtext` Flag for activated result view.
`static boolean` | `showtree` Flag for activated tree view.
`static boolean` | `simplefd` Flag for showing the simple file dialog.
`static boolean` | `SKIP` Following options are not saved/read; don't remove this flag.
`static java.lang.String[]` | `xpathcmd` Last entered XPath queries.
`static java.lang.String[]` | `xquerycmd` Last entered XPath queries.

Method Summary
`static void` | `readProps()` Reads in the GUI configuration file and initializes the properties.
`static void` | `writeProps()` Writes the configuration file.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### basexcmd

    public static java.lang.String[] basexcmd

  Last entered XPath queries.

### colorblue

    public static int colorblue

  Blue GUI color factor.

### colorgreen

    public static int colorgreen

  Green GUI color factor.

### colorred

    public static int colorred

  Red GUI color factor.

### colorsloc

    public static int[] colorsloc

  Dialog location.

### commands

    public static java.lang.String[] commands

  Last entered BaseX commands.

### createpath

    public static java.lang.String createpath

  Path for creating new XML Documents.

### filterrt

    public static boolean filterrt

  Flag for realtime context switch.

### font

    public static java.lang.String font

  Default GUI Font.

### fontalias

    public static boolean fontalias

  Flag for anti-aliasing results in GUI mode.

### fontsize

    public static int fontsize

  Monospace font size.

### fontsloc

    public static int[] fontsloc

  Dialog location.

### fonttype

    public static int fonttype

  Monospace font type = plain, bold, italics).

### fsall

    public static boolean fsall

  Flag for importing complete file system hierarchy.

### fspath

    public static java.lang.String fspath

  Path for importing the file system.

### guiloc

    public static int[] guiloc

  GUI position.

### guisearch

    public static java.lang.String[] guisearch

  Last entered GUISearch commands.

### guisize

    public static int[] guisize

  GUI height.

### importfsname

    public static java.lang.String importfsname

  Name of the filesystem database.

### layoutclosed

    public static java.lang.String layoutclosed

  GUI Layout.

### layoutopened

    public static java.lang.String layoutopened

  GUI Layout.

### maplayout

    public static int maplayout

  Treemap Layout.

### maplayoutloc

    public static int[] maplayoutloc

  Dialog location.

### mapprop

    public static int mapprop

  Treemap Proportion.

### mapsimple

    public static boolean mapsimple

  Flag for using a simple map layout.

### maxstate

    public static boolean maxstate

  Flag for maximized GUI window.

### monofont

    public static java.lang.String monofont

  Default GUI Monospace Font.

### mousefocus

    public static boolean mousefocus

  Focus follows mouse.

### searchloc

    public static int[] searchloc

  Search GUI position.

### searchmode

    public static boolean searchmode

  Flag for search/command input mode.

### searchwidth

    public static int searchwidth

  Search GUI width.

### showbuttons

    public static boolean showbuttons

  Flag for displaying buttons in the GUI window.

### showhelp

    public static boolean showhelp

  Flag for activated help view.

### showinfo

    public static boolean showinfo

  Flag for activated info view.

### showinput

    public static boolean showinput

  Flag for displaying the text field in the GUI window.

### showmap

    public static boolean showmap

  Flag for activated map view.

### showmenu

    public static boolean showmenu

  Flag for displaying the menu in the GUI window.

### shownames

    public static boolean shownames

  Flag for dissolving name attributes.

### showquery

    public static boolean showquery

  Flag for activated search view.

### showstarthelp

    public static boolean showstarthelp

  Flag for activated help view after starting.

### showstarttext

    public static boolean showstarttext

  Flag for activated result view after starting.

### showstatus

    public static boolean showstatus

  Flag for displaying the status bar in the GUI window.

### showtable

    public static boolean showtable

  Flag for activated table view.

### showtext

    public static boolean showtext

  Flag for activated result view.

### showtree

    public static boolean showtree

  Flag for activated tree view.

### simplefd

    public static boolean simplefd

  Flag for showing the simple file dialog.

### SKIP

    public static final boolean SKIP

  Following options are not saved/read; don't remove this flag.

  See Also:
    Constant Field Values

### xpathcmd

    public static java.lang.String[] xpathcmd

  Last entered XPath queries.

### xquerycmd

    public static java.lang.String[] xquerycmd

  Last entered XPath queries.

Method Detail

### readProps

    public static void readProps()

  Reads in the GUI configuration file and initializes the properties. The file is located in the user's home directory.

### writeProps

    public static void writeProps()

  Writes the configuration file.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD